/**********************************************************************\
 © COPYRIGHT 2015 Corporation for National Research Initiatives (CNRI);
                        All rights reserved.

        The HANDLE.NET software is made available subject to the
      Handle.Net Public License Agreement, which may be obtained at
          http://hdl.handle.net/20.1000/103 or hdl:20.1000/103
\**********************************************************************/

package net.handle.hdllib.trust;

import java.util.ArrayList;
import java.util.List;

public class ValuesSignatureVerificationReport extends SignatureVerificationReport {

    public boolean correctHandle;
    public List<Integer> verifiedValues;
    public List<Integer> missingValues; //present in signature digests missing in values
    public List<Integer> unsignedValues; //present in values missing in signature digests
    public List<Integer> badDigestValues; 
    
    public ValuesSignatureVerificationReport() {
        this.verifiedValues = new ArrayList<Integer>();
        this.missingValues = new ArrayList<Integer>();
        this.unsignedValues = new ArrayList<Integer>();
        this.badDigestValues = new ArrayList<Integer>();
        this.exceptions = new ArrayList<Exception>();
    }
}
